package repositories

import (
	"GoMembership/internal/database"
	"GoMembership/internal/models"
)

func (r *UserRepository) SetUserStatus(id uint, status uint) error {
	return database.DB.Model(&models.User{}).Where("id = ?", id).Update("status", status).Error
}
